Package commoble.databuddy.nbt

# Class NBTListCodec.ListTagType<RAW>

java.lang.Object
commoble.databuddy.nbt.NBTListCodec.ListTagType<RAW>

Enclosing class:
  NBTListCodec<ENTRY,RAW>

public static class NBTListCodec.ListTagType<RAW> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NBTListCodec.ListTagType<Byte>`
`BYTE`
`static final NBTListCodec.ListTagType<net.minecraft.nbt.CompoundTag>`
`COMPOUND`
`static final NBTListCodec.ListTagType<Double>`
`DOUBLE`
`static final NBTListCodec.ListTagType<Float>`
`FLOAT`
`static final NBTListCodec.ListTagType<Integer>`
`INTEGER`
`static final NBTListCodec.ListTagType<net.minecraft.nbt.ListTag>`
`LIST`
`static final NBTListCodec.ListTagType<Short>`
`SHORT`
`static final NBTListCodec.ListTagType<String>`
`STRING`

## Constructor Summary

Constructors
Constructor
Description
`ListTagType(int tagID, NBTListCodec.ListReader<RAW> listReader, Function<RAW,net.minecraft.nbt.Tag> serializer)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BYTE

public static final NBTListCodec.ListTagType<Byte> BYTE

### SHORT

public static final NBTListCodec.ListTagType<Short> SHORT

### INTEGER

public static final NBTListCodec.ListTagType<Integer> INTEGER

### FLOAT

public static final NBTListCodec.ListTagType<Float> FLOAT

### DOUBLE

public static final NBTListCodec.ListTagType<Double> DOUBLE

### STRING

public static final NBTListCodec.ListTagType<String> STRING

### LIST

public static final NBTListCodec.ListTagType<net.minecraft.nbt.ListTag> LIST

### COMPOUND

public static final NBTListCodec.ListTagType<net.minecraft.nbt.CompoundTag> COMPOUND

## Constructor Details

### ListTagType

public ListTagType(int tagID, NBTListCodec.ListReader<RAW> listReader, Function<RAW,net.minecraft.nbt.Tag> serializer)